using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Data.SqlClient;

public partial class show : System.Web.UI.Page
{
    public DataBaseLayer db = new DataBaseLayer();
    public int count;
    protected void Page_Load(object sender, EventArgs e)
    {
        count = db.ReturnExecuteNonQuery("Pr_Mp4_CountPromise");
        DataListBind();
    }
    public void DataListBind()
    {
        db.DataSetFactoryWithPager(DataList1, AspNetPager1, "Pr_Mp4_GetPromise", "Pr_Mp4_GetPromiseNum");
    }
    protected void AspNetPager1_PageChanged(object src, Wuqi.Webdiyer.PageChangedEventArgs e)
    {
        AspNetPager1.CurrentPageIndex = e.NewPageIndex;
        DataListBind();
    }
}
